package com.yuqirong.waveview.activity;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

import com.yuqirong.waveview.R;
import com.yuqirong.waveview.view.WaveView;

public class MainActivity extends AppCompatActivity {

    private WaveView mWaveView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        mWaveView = (WaveView) findViewById(R.id.mWaveView);
    }

    @Override
    protected void onResume() {
        super.onResume();
//        runOnUiThread(new Runnable() {
//            @Override
//            public void run() {
//                while(true) {
//                    float temp = mWaveView.getWaterHeight() + 1;
//                    mWaveView.setWaterHeight(temp);
//                }
//            }
//        });
    }
}
